actor Main
    new create(env: Env) =>
        env.out.print("Hello, world!")
        let defaultWombat = Wombat("Fantastibat")
        let hungryWombat = Wombat.hungry("Nomsbat", 12)

class Wombat
    let name: String
    var _hunger_level: U64
    var _thirst_level: U64 = 1

    new create(name': String) =>
        name = name'
        _hunger_level = 0

    new hungry(name': String, hunger': U64) =>
        name = name'
        _hunger_level = hunger'

    fun hunger(): U64 => _hunger_level

    fun ref set_hunger(to: U64 = 0): U64 => _hunger_level = to

class Hawk
    var _hunger_level: U64 = 0

class Owl
    var _hunger_level: U64

    new create() =>
        _hunger_level = 42

class Forest
    let _owl: Owl = Owl
    let _hawk: Hawk = Hawk

